# Define the Matsui potential for TiO
# M. Matsui and M. Akaogi.
# Molecular dynamics simulations of the structural and physical properties of the four polymorphs of TiO
# Mol. Sim. 6, 239 (1991).
potentialSet = TremoloXPotentialSet('Matsui_TiO')
potentialSet.addParticleType(ParticleType(symbol='O', mass=15.9994 * atomic_mass_unit, charge=-1.098, sigma=None, sigma14=None, epsilon=None, epsilon14=None))
potentialSet.addParticleType(ParticleType(symbol='Ti', mass=47.867 * atomic_mass_unit, charge=2.196, sigma=None, sigma14=None, epsilon=None, epsilon14=None))

potentialSet.addPotential(TosiFumiPotential(particleType1 = 'O', particleType2 = 'Ti', A=0.008342*eV, B=5.154639*Angstrom**-1, sigma=2.8171*Angstrom, C=12.48685*eV*Angstrom**6, D=0.0*eV*Angstrom**8, r_i=6.0*Angstrom, r_cut=7.5*Angstrom))
potentialSet.addPotential(TosiFumiPotential(particleType1 = 'O', particleType2 = 'O', A=0.010062*eV, B=4.27350*Angstrom**-1, sigma=3.2678*Angstrom, C=29.96845*eV*Angstrom**6, D=0.0*eV*Angstrom**8, r_i=6.0*Angstrom, r_cut=7.5*Angstrom))
potentialSet.addPotential(TosiFumiPotential(particleType1 = 'Ti', particleType2 = 'Ti', A=0.006622*eV, B=6.49351*Angstrom**-1, sigma=2.3664*Angstrom, C=5.202856*eV*Angstrom**6, D=0.0*eV*Angstrom**8, r_i=6.0*Angstrom, r_cut=7.5*Angstrom))

potentialSet.setCoulombSolver(CoulombSPME(r_cut=9.0*Angstrom))
